if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

# xpdf ../EBook/Elementary_Differential_Equations_10th_Edition.pdf 30 -z 200 &
# 
# y' = -y * ( y - 5 ) 
#
my_yprime = function(t, y, parameters){
    y_prime = - y * ( y - parameters[1] )
    list( y_prime )
}


#postscript("../../WriteUp/Graphics/Chapter1/chap_1_sect_1_prob_12_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c( 5 )

logistic.flowField = flowField(my_yprime, x.lim = c(0, 5), y.lim = c(-1, 6), parameters = diff_eq_params, points = 21, system = "one.dim", add = FALSE)

logistic.nullclines = nullclines(my_yprime, x.lim = c(0, 5), y.lim = c(-1, 6), parameters = diff_eq_params, system ="one.dim")

logistic.trajectory = trajectory(my_yprime, y0 = c(-0.25, 1.0, 5.5), t.end = 5, parameters = diff_eq_params, system = "one.dim")

#dev.off()

