if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

#
# y' = parameters[1] y^2
#
my_yprime = function(t, y, parameters){
    y_prime = parameters[1] * y^2
    list( y_prime )
}


#postscript("../../WriteUp/Graphics/Chapter1/chap_1_sect_1_prob_13_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c( 1 )

logistic.flowField <- flowField(my_yprime, x.lim = c(0, 5), y.lim = c(-2, 2),
                                parameters = diff_eq_params, points = 21, system = "one.dim", add = FALSE)

#logistic.nullclines <- nullclines(my_yprime, x.lim = c(0, 5), y.lim = c(-2, 2),
#                                  parameters = diff_eq_params, system ="one.dim")
abline(h=0, col='red')

logistic.trajectory <- trajectory(my_yprime, y0 = c(-2.0, 1.0), t.end = 5,
                                  parameters = diff_eq_params, system = "one.dim")

#dev.off()

