if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    dy[2] = parameters[1] + x - y
    list( dy )
}


#postscript("../../WriteUp/Graphics/Chapter1/chap_1_sect_1_prob_26_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c( -2 )

flowField(my_yprime, x.lim = c(0, 5), y.lim = c(-4, 3), parameters = diff_eq_params, points = 21, add = FALSE, xlab='t')
trajectory(my_yprime, y0 = c(0.0, -3.0), t.end = 5, parameters = diff_eq_params)
trajectory(my_yprime, y0 = c(0.0, 1.0), t.end = 5, parameters = diff_eq_params)

#dev.off()

