if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    dy[2] = parameters[1] * x + parameters[2] + parameters[3] * y^2
    list( dy )
}

#postscript("../../WriteUp/Graphics/Chapter1/chap_1_sect_1_prob_31_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c( 2, -1, -1 )

flowField(my_yprime, x.lim = c(0, 10), y.lim = c(-4, 5), parameters = diff_eq_params, points = 21, add = FALSE, xlab='t')
trajectory(my_yprime, y0 = c(0.0, -3.0), t.end = 10, parameters = diff_eq_params)
trajectory(my_yprime, y0 = c(0.0, 1.0), t.end = 10, parameters = diff_eq_params)

#dev.off()
