if( !require('phaseR') ){
    install.packages('phaseR')
    library(phaseR)
}

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    #dy[2] = ( sin(x)/(x+1.e-3) - 2*y )/(x+1.e-3)
    dy[2] = ( sin(x-pi/2)/(x-pi/2) - 2*y )/(x-pi/2)
    list( dy )
}

#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_1_prob_25_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c()

flowField(my_yprime, x.lim = c(0, 1.5), y.lim = c(-6, 4), parameters = diff_eq_params, points = 21, add = FALSE)
trajectory(my_yprime, y0 = c(0.0, -4.0), t.start=0, t.end = 1.5, parameters = diff_eq_params)
trajectory(my_yprime, y0 = c(0.0, 0.2026424), t.start=0, t.end = 1.5, parameters = diff_eq_params)
trajectory(my_yprime, y0 = c(0.0, 1.0), t.start=0, t.end = 1.5, parameters = diff_eq_params)

#dev.off()

