if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    dy[2] = -y/(x + 1.e-3) + 3*cos(2*x)
    list( dy )
}

#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_1_prob_4_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c()

flowField(my_yprime, x.lim = c(0, 5), y.lim = c(-3, 5), parameters = diff_eq_params, points = 21, add = FALSE, xlab = 't')
trajectory(my_yprime, y0 = c(0.0, -0.25), t.end = 5, parameters = diff_eq_params)
trajectory(my_yprime, y0 = c(0.0, 1.0), t.end = 5, parameters = diff_eq_params)
trajectory(my_yprime, y0 = c(0.0, 3.0), t.end = 5, parameters = diff_eq_params)

#dev.off()

