#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_3_prob_17_plot.eps", onefile=FALSE, horizontal=FALSE)

u0 = 2000
alpha = 2*10^(-12)
T = 300
3*alpha*u0^3

ts = seq( 0, 1000, length.out=100 )
us = u0 / ( ( 1 + 3*alpha*(u0^3)*ts )^(1/3) )
plot( ts, us, type='l', xlab='t', ylab='u(t)' )
abline(h=600, col='black', lwd=2)
grid()

#dev.off()

tau = ( ( 1/ ( 600/u0 ) )^3 - 1 ) / ( 3*alpha*(u0^3) )
print(tau)
