
#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_5_prob_16_plot.eps", onefile=FALSE, horizontal=FALSE)

r = 2
K = 10

ys = seq( 0.1, 20, length.out=100 )
y_gompertz = r*ys*log(K/ys)
y_logistic = r*ys*( 1 - ys/K )
plot( ys, y_gompertz, type='l', xlab='y', ylab='f(y)' )
lines( ys, y_logistic, type='l', col='red' )
abline(h=0, col='black')
legend('bottomleft', c('Gompertz', 'Logistic'), col=c('black', 'red'), lty=1)
grid()

#dev.off()

