
#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_8_prob_11_plot.eps", onefile=FALSE, horizontal=FALSE)

ts = seq( -1.5, 1.5, length.out=100 )

phi_1 = ts
phi_2 = ts + cos(ts) - 1 
phi_3 = ts  - (1/2) * ts^2 + (1/6) * ts^3 + (1/24) * ts^4 - (7/120) * ts^5 + (7/360) * ts^6 
phi_4 = ts  - (1/2) * ts^2 + (1/6) * ts^3 + (1/24) * ts^5 + (31/720) * ts^6
    
all_phis = c( phi_1, phi_2, phi_3, phi_4 )
min_y = min( all_phis )
max_y = max( all_phis )

plot( ts, phi_1, type='l', ylim=c( min_y, max_y ), col='blue', xlab='t', ylab='phi_n(t)' )
lines( ts, phi_2, type='l', col='green' )
lines( ts, phi_3, type='l', col='red' )
lines( ts, phi_4, type='l', col='black' )
legend( 'topleft', c('phi_1', 'phi_2', 'phi_3', 'phi_4'), lwd=2, lty=1, col=c('blue', 'green', 'red', 'black') )
grid()

#dev.off()

