
#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_8_prob_8_plot.eps", onefile=FALSE, horizontal=FALSE)

ts = seq( -1, 1, length.out=100 )

phi_1 = -ts^2 / 2
phi_2 = -ts^5 / 10 - ts^2 / 2
phi_3 = -ts^8 / 80 - ts^5 / 10 - ts^2 / 2

all_phis = c( phi_1, phi_2, phi_3 )
min_y = min( all_phis )
max_y = max( all_phis )

plot( ts, phi_1, type='l', ylim=c( min_y, max_y ), col='blue', xlab='t', ylab='phi_n(t)' )
lines( ts, phi_2, type='l', col='green' )
lines( ts, phi_3, type='l', col='red' )
legend( 'bottomleft', c('phi_1', 'phi_2', 'phi_3'), lwd=2, lty=1, col=c('blue', 'green', 'red') )
grid()

#dev.off()
