
# Part (a):
#
rho_changes = c( 3, 3.449, 3.544 )
delta_2 = (rho_changes[2]-rho_changes[1]) / (rho_changes[3]- rho_changes[2])
print(delta_2)


# Part (b):
#
delta = 4.6692
pct_diff = (delta_2 - delta)/delta
print(pct_diff)


# Part (c):
#
rho_4 = (rho_changes[3] - rho_changes[2])/delta + rho_changes[3]
rho_changes = c( rho_changes, rho_4 )
print(rho_4)

source('iterate_logistic.R')


# Part (a): Generate solutions with the requested values for rho:
#
N = 60
u0 = 0.2
rhos = c( 3.55, 3.57 )
for( ri in 1:length(rhos) ){
    rho = rhos[ri]
    u = iterate_logistic(rho, u0, N)
    if( ri==1 ){
        sols = u
    }else{
        sols = rbind( sols, u )
    }
}
rownames(sols) = c('sol1', 'sol2')

#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_9_prob_19_plot.eps", onefile=FALSE, horizontal=FALSE)
matplot(0:(N-1), t(sols), type='b', lty=1:2, pch=19, xlab='iterate', ylab='u_n')
grid()
#dev.off()
