save_figs = F

r1 = -1
r2 = +1
A = matrix( c( 1, 1, r1, r2 ), nrow=2, ncol=2, byrow=T )
b = c( 5/4, -3/4 )
x = solve( A, b )
print( x )

x_y_min = 0.5 * log(x[1]/x[2])
print(x_y_min)

ts = seq( 0, 2, length.out=100 )
ys = x[1] * exp(r1 * ts) + x[2] * exp(r2 * ts)
if( save_figs ){ postscript("../../WriteUp/Graphics/Chapter3/chap_3_sect_1_prob_19_plot.eps", onefile=FALSE, horizontal=FALSE) }
plot(ts, ys, type='l', xlab='t', ylab='y(t)', main='Question 19')
abline(v=x_y_min, col='red')
grid()
if( save_figs ){ dev.off() }
