import sympy
from sympy import *

t, A1, A0, B1, B0, C1, C0 = symbols('t A1 A0 B1 B0 C1 C0')

Y = ( A1 * t + A0 ) + t * ( B1 * t + B0 ) * sin(t) + t * ( C1 * t + C0 ) * cos(t)

pt1 = diff(Y, t, 2)
residual = ( pt1 + Y - t*(1 + sin(t)) ).expand()
print residual

# Output is (after regrouping):
#
# A0
# 
# + A1*t - t
# 
# + 2*B0*cos(t)+ 2*C1*cos(t)
# 
# + 4*B1*t*cos(t)
# 
# + 2*B1*sin(t)- 2*C0*sin(t)
# 
# - 4*C1*t*sin(t)- t*sin(t)
# 
# 



