import sympy
from sympy import *

t, A2, A1, A0, B2, B1, B0 = symbols('t A2 A1 A0 B2 B1 B0')

Y = t * ( A2 * t**2 + A1 * t + A0 ) * sin(2*t) + t * ( B2 * t**2 + B1 * t + B0 ) * cos(2*t)  

pt1 = diff(Y, t, 2)
pt3 = 4 * Y 
residual = ( pt1 + pt3 - ( t**2 * sin(2 * t) + (6*t + 7) * cos(2*t) ) ).expand()
print residual

# Output is (after regrouping):
#
# 4*A0*cos(2*t) + 2*B1*cos(2*t) - 7*cos(2*t)
# 
# + 2*A1*sin(2*t) - 4*B0*sin(2*t)
# 
# + 8*A1*t*cos(2*t) + 6*B2*t*cos(2*t) - 6*t*cos(2*t)
# 
# + 6*A2*t*sin(2*t) - 8*B1*t*sin(2*t)
# 
# + 12*A2*t**2*cos(2*t)
# 
# - 12*B2*t**2*sin(2*t) - t**2*sin(2*t)
# 








