u_exact = function(t, omega){
    numer = 3 * cos(omega * t) - (2 + omega^2) * cos(t)
    denom = 1 - omega^2
    ut = numer / denom + sin(t)
    ut
}

u_prime_exact = function(t, omega){
    C = 3 / (1 - omega^2)
    uprime = C * ( omega * sin(omega * t) + sin(t) )
    uprime
}

#omega = 0.7
#omega = 0.8
omega = 0.9

ts = seq(0, 150, length.out=1000)

u = u_exact(ts, omega)
u_prime = u_prime_exact(ts, omega)

#postscript("../../WriteUp/Graphics/Chapter3/chap_3_sect_8_prob_20_plot.eps", onefile=FALSE, horizontal=FALSE)
plot(u, u_prime, type='l', lty=1, xlab='u(t)', ylab='u_prime(t)')
grid()
#dev.off()

