#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, c1, c2, c3, c4 = symbols('t c1 c2 c3 c4')

y = c1 * exp(-t/2) + c2 * exp(t) + c3 * exp(-2*t) + c4 * exp(2*t)

print(y.subs(t, 0))
print(diff(y, t, 1).subs(t, 0))
print(diff(y, t, 2).subs(t, 0))
print(diff(y, t, 3).subs(t, 0))

from fractions import Fraction
print(-2 - (-Fraction(2, 3) - Fraction(1, 6) - Fraction(1, 10)))
