#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

# Enforce the initial conditions:
# 
t, c1, c2, c3, c4 = symbols('t c1 c2 c3 c4')

y = c1 * cos(t) + c2 * sin(t) + c3 * cos(sqrt(6)*t) + c4 * sin(sqrt(6)*t)
print(y.subs(t, 0))
print(diff(y, t, 1).subs(t, 0))
print(diff(y, t, 2).subs(t, 0))
print(diff(y, t, 3).subs(t, 0))
