#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B = symbols('t A B')

y = A * t + B

pt1 = diff(y, t, 4)
pt2 = 2*diff(y, t, 2)
pt3 = y
residual = ( pt1 + pt2 + pt3 - ( 3*t + 4 ) )
print(simplify(residual))

# Enforce the initial conditions:
# 
c1, c2, c3, c4 = symbols('c1 c2 c3 c4')

y = c1 * cos(t) + c2 * sin(t) + c3 * t * cos(t) + c4 * t * sin(t) + 3 * t + 4
print(y.subs(t, 0))
print(diff(y, t, 1).subs(t, 0))
print(diff(y, t, 2).subs(t, 0))
print(diff(y, t, 3).subs(t, 0))
