#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B = symbols('t A B')

y = A * cos(t) + B * sin(t)

pt1 = diff(y, t, 3)
pt2 = -diff(y, t, 1)
residual = ( pt1 + pt2 - 2 * sin(t) )
print(simplify(residual))
