import sympy
from sympy import *

t, c1, c2, c3, c4 = symbols('t c1 c2 c3 c4')

y = c1 * cos(t) + c2 * sin(t) + c3 * t * cos(t) + c4 * t * sin(t) - t**2 * sin(t) / 8
print(y.subs(t, 0))
print(diff(y, t, 1).subs(t, 0))
print(diff(y, t, 2).subs(t, 0))
print(diff(y, t, 3).subs(t, 0))

