import sympy
from sympy import *

t, u1p, u2p, u3p = symbols('t u1p u2p u3p')

u2pc = t*exp(t)
u3pc = (t**2)*exp(t)

system = Matrix( ( (exp(t), u2pc, u3pc, 0),
                   (exp(t), diff(u2pc, t, 1), diff(u3pc, t, 1), 0),
                   (exp(t), diff(u2pc, t, 2), diff(u3pc, t, 2), 1) ) )
print(solve_linear_system(system, u1p, u2p, u3p))
