import sympy
from sympy import *

x, u1p, u2p, u3p = symbols('x u1p u2p u3p')

system = Matrix( ( (x, x**2, x**3, 0),
                   (1, 2*x, 3*x**2, 0),
                   (0, 2, 6*x, 1/x**3) ) ) # note that the right-hand-side is the one with the coefficient of the highest derivative one 
print(solve_linear_system(system, u1p, u2p, u3p))
