import sympy
from sympy import *

t, u1p, u2p, u3p = symbols('t u1p u2p u3p')

system = Matrix( ( (exp(t), cos(t), sin(t), 0),
                   (exp(t), -sin(t), cos(t), 0),
                   (exp(t), -cos(t), -sin(t), sec(t)) ) )
print(solve_linear_system(system, u1p, u2p, u3p))

