import sympy
from sympy import *

t, u1p, u2p, u3p = symbols('t u1p u2p u3p')

system = Matrix( ( (1, exp(t), exp(-t), 0),
                   (0, exp(t), -exp(-t), 0),
                   (0, exp(t), exp(-t), csc(t)) ) )
print(solve_linear_system(system, u1p, u2p, u3p))
