
A = matrix(c(-1, 1, 2, 2), nrow=2, ncol=2, byrow=T)
solve(A, c(2, 3))

ts = seq(0, 5, length.out=100)

x1 = -(1/4) * (-1) * exp(-ts) + (7/4) * (1) * exp(-2*ts)
x2 = -(1/4) * (+2) * exp(-ts) + (7/4) * (2) * exp(-2*ts)

#postscript("../../WriteUp/Graphics/Chapter7/chap_7_sect_5_prob_24_plot.eps", onefile=FALSE, horizontal=FALSE)
par(mfrow=c(1, 2))

plot(x1, x2, type='l')
points(c(2), c(3), type='p', cex=1.5, pch=19)
grid()

x_min = min( c(x1, x2) )
x_max = max( c(x1, x2) ) 
plot(ts, x1, type='l', col='green', ylim=c(x_min, x_max), xlab='time', ylab='x')
points(ts, x2, type='l', col='red')
points(c(0, 0), c(2, 3), type='p', cex=1.5, pch=19, col=c('green', 'red'))
legend('topright', c('x1', 'x2'), col=c('green', 'red'), lty=c(1, 1))
grid()

par(mfrow=c(1, 1))
#dev.off()
