if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

#
# y' = y ( 4 - y )
#
my_yprime = function(t, y, parameters){
    y_prime = parameters[1] * y + parameters[2] * y^2
    list( y_prime )
}


#postscript("../../WriteUp/Graphics/Chapter1/chap_1_sect_1_prob_11_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c( 4, -1 )

logistic.flowField <- flowField(my_yprime, x.lim = c(0, 5), y.lim = c(-1, 6),
                                parameters = diff_eq_params, points = 21, system = "one.dim", add = FALSE)

logistic.nullclines <- nullclines(my_yprime, x.lim = c(0, 5), y.lim = c(-1, 6),
                                  parameters = diff_eq_params, system ="one.dim")

logistic.trajectory <- trajectory(my_yprime, y0 = c(-0.25, 1.0, 5.0), t.end = 5,
                                  parameters = diff_eq_params, system = "one.dim")

#dev.off()

