if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    y_prime = parameters[1] * y + parameters[2] 
    list( y_prime )
}

y_lims = c(0, 7.5) 

#postscript("../../WriteUp/Graphics/Chapter1/chap_1_sect_2_prob_1_plots.eps", onefile=FALSE, horizontal=FALSE)

par(mfrow=c(1,3))

diff_eq_params = c( -1, 5 )

logistic.flowField <- flowField(my_yprime, x.lim = c(0, 5), y.lim = y_lims,
                                parameters = diff_eq_params, points = 21, system = "one.dim", add = FALSE)

logistic.nullclines <- nullclines(my_yprime, x.lim = c(0, 5), y.lim = y_lims,
                                  parameters = diff_eq_params, system ="one.dim")

logistic.trajectory <- trajectory(my_yprime, y0 = c(1.0, 4.0, 7.0), t.end = 5,
                                  parameters = diff_eq_params, system = "one.dim")


diff_eq_params = c( -2, 5 )

logistic.flowField <- flowField(my_yprime, x.lim = c(0, 5), y.lim = y_lims,
                                parameters = diff_eq_params, points = 21, system = "one.dim", add = FALSE)

logistic.nullclines <- nullclines(my_yprime, x.lim = c(0, 5), y.lim = y_lims,
                                  parameters = diff_eq_params, system ="one.dim")

logistic.trajectory <- trajectory(my_yprime, y0 = c(1.0, 4.0, 7.0), t.end = 5,
                                  parameters = diff_eq_params, system = "one.dim")


diff_eq_params = c( -2, 10 )

logistic.flowField <- flowField(my_yprime, x.lim = c(0, 5), y.lim = y_lims,
                                parameters = diff_eq_params, points = 21, system = "one.dim", add = FALSE)

logistic.nullclines <- nullclines(my_yprime, x.lim = c(0, 5), y.lim = y_lims,
                                  parameters = diff_eq_params, system ="one.dim")

logistic.trajectory <- trajectory(my_yprime, y0 = c(1.0, 4.0, 7.0), t.end = 5,
                                  parameters = diff_eq_params, system = "one.dim")

#dev.off()

par(mfrow=c(1,1))
