if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    dy[2] = (y^2 + 2*x*y)/(3+x^2)
    list( dy )
}

#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_7_prob_10_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c()

logistic.flowField <- flowField(my_yprime, x.lim=c(0, 8), y.lim=c(-10, 20), parameters=diff_eq_params, points=21, add=FALSE, main='Problem 10')

logistic.trajectory <- trajectory(my_yprime, y0 = c( 0, 1 ), t.end = 3.0, parameters = diff_eq_params, col='black')

points( c( 2.5 ), c( 17.0 ), pch=19, col='red' )

#dev.off()
