if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    dy[2] = -x*y + 0.1*y^3
    list( dy )
}

#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_7_prob_8_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c()

logistic.flowField <- flowField(my_yprime, x.lim=c(0, 4), y.lim=c(-9, 9), parameters=diff_eq_params, points=21, add=FALSE, main='Problem 8')

#dev.off()
