if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

my_yprime = function(t, y, parameters){
    x = y[1]
    y = y[2]
    dy = numeric(2)
    dy[1] = 1
    dy[2] = x^2 + y^2
    list( dy )
}

#postscript("../../WriteUp/Graphics/Chapter2/chap_2_sect_7_prob_9_plot.eps", onefile=FALSE, horizontal=FALSE)

diff_eq_params = c()

logistic.flowField <- flowField(my_yprime, x.lim=c(0, 2), y.lim=c(-3, 40), parameters=diff_eq_params, points=21, add=FALSE, main='Problem 9')

logistic.trajectory <- trajectory(my_yprime, y0 = c( 0, 1 ), t.end = 1.0, parameters = diff_eq_params, col='black')

# R from chap_2_sect_7_prob_16.R
# best_est = mean(R[,7])

best_est = 33.548
points( c( 0.8, 1.0 ), c( 5.0, best_est ), pch=19, col='red' )

#dev.off()
