save_figs = F

r1 = 1/2
r2 = 1
A = matrix( c( 1, 1, r1, r2 ), nrow=2, ncol=2, byrow=T )
b = c( 2, 1/2 )
x = solve( A, b )
print( x )

x_y_max = 2 * log(3/2)
print(x_y_max)

x_y_zero = 2 * log(3)
print(x_y_zero)

ts = seq( 0, 3, length.out=100 )
ys = x[1] * exp(r1 * ts) + x[2] * exp(r2 * ts)
if( save_figs ){ postscript("../../WriteUp/Graphics/Chapter3/chap_3_sect_1_prob_20_plot.eps", onefile=FALSE, horizontal=FALSE) }
plot(ts, ys, type='l', xlab='t', ylab='y(t)', main='Question 20')
abline(v=c( x_y_max, x_y_zero), col='red')
grid()
if( save_figs ){ dev.off() }
