#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, c1, c2, c3, c4 = symbols('t c1 c2 c3 c4')

y = c1 * exp(t/sqrt(2)) * cos(t/sqrt(2)) + c2 * exp(t/sqrt(2)) * sin(t/sqrt(2)) + c3 * exp(-t/sqrt(2)) * cos(t/sqrt(2)) + c4 * exp(-t/sqrt(2)) * sin(t/sqrt(2)) 

print(y.subs(t, 0))
print(diff(y, t, 1).subs(t, 0))
print(diff(y, t, 2).subs(t, 0))
print(diff(y, t, 3).subs(t, 0))
