# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 &
#
import sympy
from sympy import *

t = symbols('t')

M1 = Matrix( ([-exp(-t), -sin(t), cos(t)],
              [exp(-t), -cos(t), -sin(t)],
              [-exp(-t), sin(t), -cos(t)]) )
print(M1.det())
M2 = Matrix( ([exp(-t), cos(t), sin(t)],
              [exp (-t), cos (t), sin(t) ], 
              [-exp(-t), sin(t), -cos(t)]) )
print(M2.det())
M3 = Matrix( ([exp(-t), cos(t), sin(t)],
              [-exp(-t), -sin(t), cos(t)],
              [-exp(-t), sin(t), -cos(t)]) )
print(M3.det())
M4 = Matrix( ([exp(-t), cos(t), sin(t)],
              [-exp(-t), -sin(t), cos(t)],
              [exp(-t), -cos(t), -sin(t)]) )
print(M4.det())

D = exp(t) * M1.det() - exp(t) * M2.det() + exp(t) + M3.det() * exp(t) - M4.det() * exp(t) 
print(simplify(D))

# Do the entire process in one go:
#
M = Matrix( ([exp(t), exp(-t), cos(t), sin(t)],
             [exp(t), -exp(-t), -sin(t), cos(t)],
             [exp(t), exp(-t), -cos(t), -sin(t)],
             [exp(t), -exp(-t), sin(t), -cos(t)]) )
print(M.det())

# Do Part (c) in one go:
# 
M = Matrix( ([cosh(t), sinh(t), cos(t), sin(t)],
             [sinh(t), cosh(t), -sin(t), cos(t)],
             [cosh(t), sinh(t), -cos(t), -sin(t)],
             [sinh(t), cosh(t), sin(t), -cos(t)]) )
print(M.det())








