#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B = symbols('t A B')

y = A * t * exp(-t) + B 

pt1 =  diff(y, t, 3)
pt2 = -diff(y, t, 2)
pt3 = -diff(y, t, 1)
pt4 = y
residual = ( pt1 + pt2 + pt3 + pt4 - ( 2 * exp(-t) + 3 ) ) 
print(simplify(residual))

#
# 4*A*exp(-t) + B - 3 - 2*exp(-t)
#
