#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B, C, D = symbols('t A B C D')

y = A * t * cos(t) + B * t * sin(t) + C * t + D 

pt1 = diff(y, t, 4)
pt2 = -y
residual = ( pt1 + pt2 - ( 3 * t + cos(t) ) )
print(simplify(residual))

#
# 4*A*sin(t) - 4*B*cos(t) - C*t - D - 3*t - cos(t)
#
