#
import sympy
from sympy import *

t, c4, c6, c7 = symbols('t c4 c6 c7')

Y = c4 * t**3 * exp(2*t) + c6 * t * exp(-t) + c7 * t**2 * exp(-t) 

pt1 = diff(Y, t, 1) + Y
pt2 = diff(pt1, t, 1) - 2*pt1
pt3 = diff(pt2, t, 1) - 2*pt2
pt4 = diff(pt3, t, 1) - 2*pt3
residual = pt4 - 3*exp(2*t) + t*exp(-t)
print(simplify(residual))
