#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B, C, D = symbols('t A B C D')

y = A * t**4 + B * t**3 + C * t**2 + D * exp(t)

pt1 = diff(y, t, 4)
pt2 = 4 * diff(y, t, 2)
residual = ( pt1 + pt2 - ( t**2 + exp(t) ) )
print(simplify(residual))
