#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B, C = symbols('t A B C')

y = A + B * cos(2*t) + C * sin(2*t) 

pt1 = diff(y, t, 4)
pt2 = 2 * diff(y, t, 2)
pt3 = y
residual = ( pt1 + pt2 + pt3 - ( 3 + cos(2*t) ) )
print(simplify(residual))
