#
# xpdf ../../EBook/Elementary_Differential_Equations_10th_Edition.pdf 261 & 
#
import sympy
from sympy import *

t, A, B = symbols('t A B')

y = A * t**2 + B * t 

pt1 = diff(y, t, 3)
pt2 = 4*diff(y, t, 1)
residual = ( pt1 + pt2 - t )
print(simplify(residual))

# Enforce the initial conditions:
# 
c1, c2, c3 = symbols('c1 c2 c3')

y = c1 + c2 * cos(2*t) + c3 * sin(2*t) + t**2 / 8
print(y.subs(t, 0))
print(diff(y, t, 1).subs(t, 0))
print(diff(y, t, 2).subs(t, 0))
