import sympy
from sympy import *

t = symbols('t')

W = Matrix( ([exp(t), cos(t), sin(t)],
             [exp(t), -sin(t), cos(t)],
             [exp(t), -cos(t), -sin(t)]) )
print(simplify(W.det()))

W1 = Matrix( ([0, cos(t), sin(t)],
              [0, -sin(t), cos(t)],
              [1, -cos(t), -sin(t)]) )
print(simplify(W1.det()))

W2 = Matrix( ([exp(t), 0, sin(t)],
             [exp(t), 0, cos(t)],
             [exp(t), 1, -sin(t)]) )
print(simplify(W2.det()))

W3 = Matrix( ([exp(t), cos(t), 0],
             [exp(t), -sin(t), 0],
             [exp(t), -cos(t), 1]) )
print(simplify(W3.det()))
