
import sympy
from sympy import *

x, u1p, u2p, u3p, u4p = symbols('t u1p u2p u3p u4p')

system = Matrix( (
                 (cos(x), sin(x), cosh(x), sinh(x), 0),
                 (-sin(x), cos(x), sinh(x), cosh(x), 0),
                 (-cos(x), -sin(x), cosh(x), sinh(x), 0),
                 (sin(x), -cos(x), sinh(x), cosh(x), 1)
               ) )
print(solve_linear_system(system, u1p, u2p, u3p, u4p))

