source( 'utils.R')

t = seq( 1, 15, length.out=500 )

k = 1/2
f_onehalf = ( u_sub_c( t, 5 ) * ( t - 5 ) - u_sub_c( t, 5+k ) * ( t - 5 - k ) ) / k

k = 2
f_two = ( u_sub_c( t, 5 ) * ( t - 5 ) - u_sub_c( t, 5+k ) * ( t - 5 - k ) ) / k

k = 5
f_five = ( u_sub_c( t, 5 ) * ( t - 5 ) - u_sub_c( t, 5+k ) * ( t - 5 - k ) ) / k

#postscript("../../WriteUp/Graphics/Chapter6/sect_4_prob_17_f_k_plots.eps", onefile=FALSE, horizontal=FALSE)
plot( t, f_onehalf, type='l', col='black', xlab='t', ylab='f_k', main='f_k for various k' )
lines( t, f_two, type='l', col='blue' )
lines( t, f_five, type='l', col='red' )
grid()
legend( 'bottomright', c('k=1/2', 'k=2', 'k=5'), lwd=2, lty=c(1, 1, 1), col=c('black', 'blue', 'red') )
#dev.off()


t = seq( 1, 30, length.out=500 )

#postscript("../../WriteUp/Graphics/Chapter6/sect_4_prob_17_yt_plot.eps", onefile=FALSE, horizontal=FALSE)
k = 2
y = (1/(4*k)) * ( t-5 ) * ( u_sub_c( t, 5 ) - u_sub_c( t, 5+k ) ) +
    (1/4) * u_sub_c( t, 5+k ) -
    (1/(8*k)) * ( u_sub_c( t, 5 ) * sin( 2*(t-5) ) - u_sub_c( t, 5+k ) * sin( 2*(t-5-k) ) )
plot( t, y, type='l', xlab='t', ylab='y(t)' )
grid()
#dev.off()
