source( 'utils.R')

t = seq( 0, 100, length.out=500 )

n = 35
h = u_sub_c( t, 0 )
for( k in 1:n ){
    h = h + 2 * (-1)^k * u_sub_c( t, 11*k/4 )
}

#postscript("../../WriteUp/Graphics/Chapter6/sect_4_prob_23_plot.eps", onefile=FALSE, horizontal=FALSE)
plot( t, h, type='l', xlab='t', ylab='h(t)' )
grid()
#dev.off()


# Here is our solution function:
#
f_of_t = function( t ){
    r = sqrt(399)/20
    1 - exp( -t/20 ) * cos( r * t ) - (1/sqrt(399)) * exp( -t/20 ) * sin( r * t )
}

t = seq( 0, 250, length.out=750 )

y = f_of_t(t)
n = 35
for( k in 1:n ){
    y = y + 2 * (-1)^k * u_sub_c( t, 11*k/4 ) * f_of_t( t - 11*k/4 )
}
plot( t, y, type='l', xlab='t', ylab='y(t)' )



