if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

A = matrix(c(1, -2, 3, -4), nrow=2, ncol=2, byrow=T)
print(eigen(A))

my_yprime = function(t, y, parameters){
    x1 = y[1]
    x2 = y[2]
    dy = numeric(2)
    dy[1] = x1 - 2*x2
    dy[2] = 3*x1 - 4*x2
    list(dy)
}
diff_eq_params = c()

#postscript("../../WriteUp/Graphics/Chapter7/chap_7_sect_5_prob_2_plot.eps", onefile=FALSE, horizontal=FALSE)
flowField(my_yprime, x.lim=c(-5, 5), y.lim=c(-5, 5), parameters=diff_eq_params, points=21, add=FALSE, main='Problem 2')
trajectory(my_yprime, y0 = c(0, 1), t.end = 1.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(1, 0), t.end = 1.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(2, -2), t.end = 1.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(-2, 2), t.end = 1.0, parameters = diff_eq_params, col='black')
grid()
#dev.off()

