if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

A = matrix(c(2, -1, 3, -2), nrow=2, ncol=2, byrow=T)
print(eigen(A))

my_yprime = function(t, y, parameters){
    x1 = y[1]
    x2 = y[2]
    dy = numeric(2)
    dy[1] = 2*x1 - x2
    dy[2] = 3*x1 - 2*x2
    list(dy)
}
diff_eq_params = c()

#postscript("../../WriteUp/Graphics/Chapter7/chap_7_sect_5_prob_3_plot.eps", onefile=FALSE, horizontal=FALSE)
flowField(my_yprime, x.lim=c(-10, 10), y.lim=c(-10, 10), parameters = diff_eq_params, points=21, add=FALSE, main='Problem 3')
trajectory(my_yprime, y0 = c(3, 8), t.end = 3.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(-2.5, -5), t.end = 2.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(2, -2), t.end = 1.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(-2, 2), t.end = 1.0, parameters = diff_eq_params, col='black')
grid()
#dev.off()
