if( !require('phaseR') ){
    install.packages('phaseR')
}
library(phaseR)

A = matrix(c(2, -5/2, 9/5, -1), nrow=2, ncol=2, byrow=T)
print(eigen(A))

my_yprime = function(t, y, parameters){
    dy = parameters$A %*% y
    list(dy)
}
diff_eq_params = list(A=A)

#postscript("../../WriteUp/Graphics/Chapter7/chap_7_sect_6_prob_4_plot.eps", onefile=FALSE, horizontal=FALSE)
flowField(my_yprime, x.lim=c(-40, 40), y.lim=c(-40, 40), parameters = diff_eq_params, points=21, add=FALSE, main='Problem 4')
trajectory(my_yprime, y0 = c(3, 8), t.end = 3.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(-2.5, -5), t.end = 3.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(2, -2), t.end = 3.0, parameters = diff_eq_params, col='black')
trajectory(my_yprime, y0 = c(-2, 2), t.end = 3.0, parameters = diff_eq_params, col='black')
grid()
#dev.off()
